# AI Studios - Popular Tags GET /api/v1/aistudios/popular-tags/ **POST:** Get popular tags for a specific publication/studio ranked by content count. Returns tags that are used across the publication's content including: - Publication's direct tags - Tags from experiences linked to the publication - Tags from blogs in the publication Requires a publication URL in the POST body to filter tags by publication. Results are ordered by content_count (most popular first). Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/aistudios/popular-tags-list ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/aistudios/popular-tags/: get: operationId: popular-tags-list summary: AI Studios - Popular Tags description: >- **POST:** Get popular tags for a specific publication/studio ranked by content count. Returns tags that are used across the publication's content including: - Publication's direct tags - Tags from experiences linked to the publication - Tags from blogs in the publication Requires a publication URL in the POST body to filter tags by publication. Results are ordered by content_count (most popular first). tags: - subpackage_aistudios parameters: - name: page in: query description: A page number within the paginated result set. required: false schema: type: integer - name: page_size in: query description: Number of results to return per page. required: false schema: type: integer - name: search in: query description: Search tags by name required: false schema: type: string responses: '200': description: Successfully retrieved popular tags content: application/json: schema: $ref: '#/components/schemas/PaginatedPopularTagList' '400': description: Invalid publication URL or missing publication_url content: application/json: schema: description: Any type '404': description: Publication not found content: application/json: schema: description: Any type components: schemas: PopularTag: type: object properties: id: type: integer uid: type: string format: uuid name: type: string content_count: type: integer created_at: type: string format: date-time required: - id - uid - name - content_count - created_at description: |- Serializer for popular tags in a publication. Includes content count showing how many pieces of content use this tag. title: PopularTag PaginatedPopularTagList: type: object properties: count: type: integer next: type: - string - 'null' format: uri previous: type: - string - 'null' format: uri results: type: array items: $ref: '#/components/schemas/PopularTag' required: - count - results title: PaginatedPopularTagList ``` ## SDK Code Examples ```python Popular Tags Response import requests url = "https://api.example.com/api/v1/aistudios/popular-tags/" payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Popular Tags Response const url = 'https://api.example.com/api/v1/aistudios/popular-tags/'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Popular Tags Response package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/aistudios/popular-tags/" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Popular Tags Response require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/aistudios/popular-tags/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Popular Tags Response import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v1/aistudios/popular-tags/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Popular Tags Response request('GET', 'https://api.example.com/api/v1/aistudios/popular-tags/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Popular Tags Response using RestSharp; var client = new RestClient("https://api.example.com/api/v1/aistudios/popular-tags/"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Popular Tags Response import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/aistudios/popular-tags/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```